Bug: NoScript breaks MetaMask to Ledger Bridge

Ask for help about NoScript, no registration needed to post
ei8ht
Posts: 2
Joined: Fri Jun 04, 2021 6:45 am

Bug: NoScript breaks MetaMask to Ledger Bridge

Post by ei8ht » Fri Jun 04, 2021 6:53 am

Hi Team,

as Google has removed the feature that MetaMask uses to bridge to a Ledger HW Wallet, I switched to Firefox. MetaMask works perfect when I disable NoScript. As soon as I enable NoScript, MetaMask can't access my Ledger Device anymore.

Firefox: 89.0
OS: Manjaro Linux
NoScript: 11.2.8
MetaMask: 9.5.5

When I check in the console, I see following error with NoScript enabled:
Content Security Policy: The page’s settings blocked the loading of a resource at eval (“script-src”). lockdown.js:2105:39

The Lockdown.js is surely part of MetaMasks Bridge to my Ledger.

How can I unblockl this? NoScript reports that this is a privileged site (moz-extension://<addonhash>) where nothing can be changed in terms of settings.

Kind regards

ei8ht
Mozilla/5.0 (X11; Linux x86_64; rv:89.0) Gecko/20100101 Firefox/89.0

barbaz
Senior Member
Posts: 9961
Joined: Sat Aug 03, 2013 5:45 pm

Re: Bug: NoScript breaks MetaMask to Ledger Bridge

Post by barbaz » Wed Jun 09, 2021 5:47 pm

Do you use uBlock Origin? If so its logger might be helpful for diagnostic purposes.
*Always* check the changelogs BEFORE updating that important software!
-

Post Reply